<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox Exercises</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        header, nav, main, aside, footer {
            border: 1px solid dodgerblue;
        } 

        .container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }

        header {
            flex: 100%;
            order: 1;
            height: 100px;
        }

        nav {
            flex: 2;
            order: 2;
        }

        main {
            flex: 4;
            order: 4;
            height: calc(100% - 179px);
        }

        aside {
            flex: 1;
            order: 3;
        }

        footer {
            flex: 100%;
            order: 5;
            height: 75px;
        }

        @media (max-width: 500px) {
            main {
                flex: 100%;
            }
            nav {
                flex: 1;
            }
            aside {
                flex: 1;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <header>
            Header
        </header>
        <nav>
            Left
        </nav>
        <main>
            Main
        </main>
        <aside>
            Right
        </aside>
        <footer>
            Footer
        </footer>
    </div>
</body>

</html>